Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Class FontSetup.MinimalFontResolver

    java.lang.Object
      org.apache.fop.fonts.FontSetup.MinimalFontResolver

All Implemented Interfaces:
  FontResolver

Enclosing class:
  FontSetup

    public static class FontSetup.MinimalFontResolver

extends java.lang.Object
implements FontResolver

Minimum implemenation of FontResolver.

Method Summary
`boolean` | `isComplexScriptFeaturesEnabled()` Check whether complex script features are enabled.
`javax.xml.transform.Source` | `resolve(java.lang.String href)` Called to resolve an URI to a Source instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### resolve

    public javax.xml.transform.Source resolve(java.lang.String href)

  Called to resolve an URI to a Source instance. The base URI needed by the URIResolver's resolve() method is defined to be implicitly available in this case. If the URI cannot be resolved, null is returned and it is assumed that the FontResolver implementation already warned the user about the problem.

  Specified by:
    `resolve` in interface `FontResolver`
  Parameters:
    `href` - An href attribute, which may be relative or absolute.
  Returns:
    A Source object, or null if the href could not resolved.

### isComplexScriptFeaturesEnabled

    public boolean isComplexScriptFeaturesEnabled()

  Check whether complex script features are enabled.

  Specified by:
    `isComplexScriptFeaturesEnabled` in interface `FontResolver`
  Returns:
    true if FOP is to use complex script features

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.